Bug 450017 - evolution crashes
evolution crashes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
: 452307 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 15:29 EDT by David
Modified: 2009-06-09 22:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 22:19:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David 2008-06-04 15:29:21 EDT
Description of problem:
evolution crashes frequently, often when accessing global address book

Version-Release number of selected component (if applicable):


How reproducible:
Not very reproducible.  :(


Additional info:
I reported one of the many evolution crashes I've seen
using bug-buddy... the resulting bug report page is here:
http://crash.gnome.org/report/index/57105edc-322e-11dd-9c86-0007e9333148?date=2008-06-04-12
Comment 1 Milan Crha 2008-06-05 05:05:32 EDT
Hello, can you please install debug info packages for evolution,
evolution-data-server, evolution-exchange and gtkhtml and when that crashes
again, place here a back trace of all threads here, so there will be shown
source files with line numbers where it crashed? Thanks in advance.
Comment 2 David 2008-06-05 15:07:59 EDT
installed debug info as requested.  Maybe this new crash has more info?
http://bugzilla.gnome.org/show_bug.cgi?id=536867
Comment 3 Milan Crha 2008-06-06 02:58:05 EDT
Thanks for the update. Based on the back trace, it's crash from an ldap, and it
seems we will need an updated ldap package as shown in a bug they marked yours
as a duplicate of.
Comment 4 Milan Crha 2008-06-06 03:08:45 EDT
Moving to openldap component
Comment 6 Fedora Update System 2008-06-06 04:47:02 EDT
openldap-2.4.8-5.fc9 has been submitted as an update for Fedora 9
Comment 7 Jan Safranek 2008-06-06 04:48:14 EDT
Since I cannot reproduce the bug, I'd like to ask you to test the update and
report results. Thanks in advance.
Comment 8 Fedora Update System 2008-06-06 18:10:58 EDT
openldap-2.4.8-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openldap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5073
Comment 9 David L. 2008-06-06 18:54:39 EDT
su -c 'yum --enablerepo=updates-testing update openldap'
Loaded plugins: refresh-packagekit
Setting up Update Process
Could not find update match for openldap
No Packages marked for Update
Comment 10 David L. 2008-06-07 13:45:07 EDT
ok, it took a little while for openldap to show up in the testing repo.
I updated openldap, but evolution crashed again.  Maybe this is a different
bug:

http://crash.gnome.org/report/index/98ddf9e2-34a8-11dd-b980-0007e9333148?date=2008-06-07-15
Comment 12 Jan Safranek 2008-06-09 03:46:21 EDT
the stack trace looks differently, assigning back to evolution. It would help if
you would post stack trace with debuginfo installed (see comment #1)
Comment 13 David 2008-06-09 10:06:51 EDT
I did install debuginfo (see comment #2).  I thought it had worked... do I need
to do it again?

Comment 14 Matthew Barnes 2008-06-09 10:42:15 EDT
For future reference, the crash.gnome.org reports aren't very useful for crash
investigations.  They're mainly for identifying duplicate reports.  The traces
generated by Bug Buddy (as linked to in comment #2) show much more detail.  Try
to post those if you can.
Comment 15 David 2008-06-09 10:55:51 EDT
I just have been posting whatever links come up when evolution crashes.  Is
there a way to make them always be bug-buddy links?  It seems that sometimes I
get crash.gnome.org links and sometimes bug-buddy links.
Comment 16 Andre Klapper 2008-06-09 12:43:18 EDT
Hi David,
How do you receive information about the crash.gnome.org links? By email, or is
the link to crash.gnome.org displayed directly in the bug-buddy application?
Same question for bugzilla.gnome.org links. Maybe you can provide a screenshot?
Thanks in advance!
Comment 17 David 2008-06-09 13:03:19 EDT
A window pops up and I click on the link.  Then I paste the link into the
bugzilla report.  I always follow the same procedure whether it is a crash.gnome
or buzilla.gnome link.  I'll take s acreenshot next time.
Comment 18 David 2008-06-09 14:11:46 EDT
Just got a crash that gave me a bugzilla.gnome.org report:
http://bugzilla.gnome.org/show_bug.cgi?id=537451
Comment 19 Matthew Barnes 2008-06-09 14:33:53 EDT
Thanks, that matches the info in comment #2.  So at least we know you're
encountering the same bug repeatedly.  Unfortunate that Bug Buddy seems to have
taken to random behavior.
Comment 20 David 2008-06-09 15:20:51 EDT
Hmmm... after that comment, the crash was re-assigned to openldap and then I
updated openldap from the testing repository which theoretically fixed the
openldap bug.  I guess this means that the openldap bug wasn't fixed?  Should
this get reassigned back to openldap again?
Comment 21 Matthew Barnes 2008-06-09 16:16:04 EDT
Evolution statically links to a special version of libldap, so the Evolution
packages need to be rebuilt in order to pick up the bug fix in openldap.
Comment 22 David 2008-06-10 15:34:37 EDT
Is there an ETA on when such a version of evolution will be available in testing
or updates?
Comment 23 Matthew Barnes 2008-06-10 16:13:45 EDT
The next point release is at the end of the month -- a bit further away than I
thought.  I'll do a special rebuild of evolution-data-server and
evolution-exchange soon.
Comment 24 Fedora Update System 2008-06-19 09:53:19 EDT
evolution-exchange-2.22.2-2.fc9 has been submitted as an update for Fedora 9
Comment 25 Fedora Update System 2008-06-19 10:10:36 EDT
evolution-data-server-2.22.2-2.fc9 has been submitted as an update for Fedora 9
Comment 26 David 2008-06-19 11:47:39 EDT
I updated today... so far evolution hasn't crashed, but it hung.  How do I go
about providing debug info when evolution just stops responding.?
Comment 27 Milan Crha 2008-06-19 11:57:30 EDT
You can attach gdb to the process and then call 'thread apply all bt'.
The only thing you want to know is the PID of the process, then run gdb like this:
gdb --pid=PID
I would recommend to attach to evolution, evolution-data-server and probably
also to evolution-exchange, but it's possible that the evolution hung because of
the other process crashed at the background. (I'm only guessing here).
Comment 28 David 2008-06-19 12:39:07 EDT
evolution crashed again:
http://bugzilla.gnome.org/show_bug.cgi?id=539160
Comment 29 Jan Safranek 2008-06-23 09:58:23 EDT
*** Bug 452307 has been marked as a duplicate of this bug. ***
Comment 30 Bug Zapper 2009-06-09 21:24:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 31 David 2009-06-09 22:19:27 EDT
evolution crashes for me all the time, so it's hard to tell if this particular crash is fixed, but based on the fact that the duplicate bug said there was an upstream fix a long time ago, I'll assume that the bug was fixed and replaced with another one.  I have bug reports open against crashes in rawhide, so I'll close this.

Note You need to log in before you can comment on or make changes to this bug.